Bug 979295

Summary: ruby: CVE-2013-4073 ruby: hostname check bypassing vulnerability in SSL client [fedora-all]
Product: [Fedora] Fedora Reporter: Kurt Seifried <kseifried>
Component: rubyAssignee: Jeroen van Meeuwen <vanmeeuwen+fedora>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 18CC: bkabrda, jeremy, mmorsi, mtasaka, tagoh, vanmeeuwen+fedora, vondruch
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: component:ruby
Fixed In Version: ruby-2.0.0.247-14.fc19 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-15 21:35:55 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 979251    

Description Kurt Seifried 2013-06-28 03:53:06 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Kurt Seifried 2013-06-28 03:53:18 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=979251,979295
Comment 2 Fedora Update System 2013-07-01 00:03:09 EDT
ruby-1.9.3.448-31.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ruby-1.9.3.448-31.fc18
Comment 3 Fedora Update System 2013-07-01 00:04:06 EDT
ruby-1.9.3.448-31.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ruby-1.9.3.448-31.fc17
Comment 4 Fedora Update System 2013-07-01 10:03:07 EDT
ruby-2.0.0.247-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ruby-2.0.0.247-9.fc19
Comment 5 Fedora Update System 2013-07-01 20:30:47 EDT
Package ruby-2.0.0.247-9.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ruby-2.0.0.247-9.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12118/ruby-2.0.0.247-9.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-07-09 07:06:50 EDT
ruby-2.0.0.247-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ruby-2.0.0.247-12.fc19
Comment 7 Fedora Update System 2013-07-10 22:28:05 EDT
ruby-1.9.3.448-31.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-07-10 22:33:12 EDT
ruby-1.9.3.448-31.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-07-15 21:35:55 EDT
ruby-2.0.0.247-14.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.